Subject: Re: case sensitivity and filenames
From: Lester Ingber <[email-masked]>
To: "Larry Hall (RFK Partners, Inc.)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 May 2003 12:17:10 -0400

Larry:

Thanks for your detailed explanation.

You state:
:                                     (FYI, the Win32 API will allow the
: creation of 2 *files* in the same directory with the same name that differs
: only by case on *NTFS* partitions).

However, I am working on an NTFS partition (My C: drive only has another
IBM Preload hidden partition.)  `cygcheck -s shows:
CYGWIN = `check_case:strict'
...
c:  hd  NTFS   55902Mb  27% CP CS UN PA FC     IBM_PRELOAD
...
C:\cygwin      /          system  binmode
C:\cygwin/bin  /usr/bin   system  binmode
C:\cygwin/lib  /usr/lib   system  binmode
.              /cygdrive  system  binmode,cygdrive

In my /etc/profile I have
export CYGWIN="check_case:strict"
I cannot create two files that differ only in case?
12:13:04 @lester:~% touch tp
12:13:08 @lester:~% touch Tp
touch: creating `Tp': No such file or directory
12:13:11 @lester:~% ls
tp

Lester

On Thu, May 15, 2003 at 11:12:36AM -0400, Larry Hall (RFK Partners, Inc.) wrote:
: Date: Thu, 15 May 2003 11:12:36 -0400
: From: "Larry Hall (RFK Partners, Inc.)" <[email-masked]>
: Reply-To: [email-masked]
: User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.3) Gecko/20030312
: To: Lester Ingber <[email-masked]>
: CC: [email-masked]
: Subject: Re: case sensitivity and filenames
: In-Reply-To: <[email-masked]>
: 
: Lester Ingber wrote:
: >I keep seeing postings from experienced Cygwin developers that it is a
: >nightmare to consider adding full case sensitivity to Cygwin.
: >
: >I also have Interix on my system, a (failed?) Microsoft attempt
: >to introduce a gnu-based unix shell.  Albeit is has limited tools,
: >in fact it looks to me that it *does* respect true case sensitivity.
: >For example, I have untarred directories that contain files/directories
: >differing only by the case of the names, etc.
: >
: >If so, then why can't Interix provide a template for this feature?
: >
: >Lester
: >
: 
: 
: I don't believe Interix is in the business of handing out templates of
: their features for other's use but I suppose you could ask them about it
: if you're interested.
: 
: Interix uses the POSIX subsystem, not the Win32 subsystem with the Windows
: API.  It's a different base focused on a different goal.  It's an attempt
: to provide a POSIX environment *separate from* the Windows environment.
: Cygwin provides a POSIX environment within the Windows environment.  You
: can't use both the POSIX subsystem and the Win32 subsystem at the same
: time.  But regardless, you'll still have trouble, say, accessing 2 files
: in the same directory that differ only by case with Windows tools, no
: matter how those files were created (FYI, the Win32 API will allow the
: creation of 2 *files* in the same directory with the same name that differs
: only by case on *NTFS* partitions).  The point is that there are limitations
: to what the Win32 API allows and the ability of Windows tools to interact
: with these variations.  Changing that simply would generate more problems
: for users and, most likely, even more questions on this list (How come I
: can't create 2 files differing only by case in a directory on my FAT
: partition?  Why can't I create 2 directories differing only by case in the
: same directory?  Why won't Notepad open "aaa.txt" instead of "AaA.TxT"?
: Etc.)
: 
: That's it in a nutshell, minus a technical issue or two perhaps.  As
: always, PTC (see <http://cygwin.com/acronyms/#PTC>)
: 
: -- 
: Larry Hall                              http://www.rfk.com
: RFK Partners, Inc.                      (508) 893-9779 - RFK Office
: 838 Washington Street                   (508) 893-9889 - FAX
: Holliston, MA 01746
: 
: 
: #################################################################
: #################################################################
: #################################################################
: #####
: #####
: #####
: #################################################################
: #################################################################
: #################################################################

-- 
 Prof. Lester Ingber  [email-masked]  [email-masked]
 www.ingber.com                     www.alumni.caltech.edu/~ingber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/